---
title: Update your Zero Trust organization
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Zero Trust](https://developers.cloudflare.com/api/python/resources/zero_trust)

[Organizations](https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/organizations)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update your Zero Trust organization

zero\_trust.organizations.update(OrganizationUpdateParams\*\*kwargs) -> [Organization](<https://developers.cloudflare.com/api/python/resources/zero_trust#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)>)

PUT/{accounts\_or\_zones}/{account\_or\_zone\_id}/access/organizations

Updates the configuration for your Zero Trust organization.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Access: Organizations, Identity Providers, and Groups Write`

##### ParametersExpand Collapse

account\_id: Optional\[str]

The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

zone\_id: Optional\[str]

The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

allow\_authenticate\_via\_warp: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/organizations/methods/update#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20allow_authenticate_via_warp%20%3E%20(schema)>)]

When set to true, users can authenticate via WARP for any application in your organization. Application settings will take precedence over this value.

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20allow_authenticate_via_warp%20%3E%20(schema)>)

auth\_domain: Optional\[str]

The unique subdomain assigned to your Zero Trust organization. If omitted on creation, a unique subdomain is auto-generated in the format `adjective-noun-hex4` (e.g. `frosty-moon-7a3b.cloudflareaccess.com`).

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20auth_domain%20%3E%20(schema)>)

auto\_redirect\_to\_identity: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/organizations/methods/update#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20auto_redirect_to_identity%20%3E%20(schema)>)]

When set to `true`, users skip the identity provider selection step during login.

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20auto_redirect_to_identity%20%3E%20(schema)>)

<details>

<summary>

custom\_pages: Optional\[<a href="https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/organizations/methods/update#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20custom_pages%20%3E%20(schema)">CustomPages</a>]

</summary>

forbidden: Optional\[str]

The uid of the custom page to use when a user is denied access after failing a non-identity rule.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20custom_pages%20%3E%20(schema)%20%3E%20(property)%20forbidden">Link to this property</a>

identity\_denied: Optional\[str]

The uid of the custom page to use when a user is denied access.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20custom_pages%20%3E%20(schema)%20%3E%20(property)%20identity_denied">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20custom_pages%20%3E%20(schema)>)

deny\_unmatched\_requests: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/organizations/methods/update#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20deny_unmatched_requests%20%3E%20(schema)>)]

Determines whether to deny all requests to Cloudflare-protected resources that lack an associated Access application. If enabled, you must explicitly configure an Access application and policy to allow traffic to your Cloudflare-protected resources. For domains you want to be public across all subdomains, add the domain to the `deny_unmatched_requests_exempted_zone_names` array.

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20deny_unmatched_requests%20%3E%20(schema)>)

deny\_unmatched\_requests\_exempted\_zone\_names: Optional\[Sequence\[str]]

Contains zone names to exempt from the `deny_unmatched_requests` feature. Requests to a subdomain in an exempted zone will block unauthenticated traffic by default if there is a configured Access application and policy that matches the request.

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20deny_unmatched_requests_exempted_zone_names%20%3E%20(schema)>)

is\_ui\_read\_only: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/organizations/methods/update#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20is_ui_read_only%20%3E%20(schema)>)]

Lock all settings as Read-Only in the Dashboard, regardless of user permission. Updates may only be made via the API or Terraform for this account when enabled.

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20is_ui_read_only%20%3E%20(schema)>)

<details>

<summary>

login\_design: Optional\[<a href="https://developers.cloudflare.com/api/python/resources/zero_trust#(resource)%20zero_trust.organizations%20%3E%20(model)%20login_design%20%3E%20(schema)">LoginDesignParam</a>]

</summary>

background\_color: Optional\[str]

The background color on your login page.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20login_design%20%3E%20(schema)%20%2B%20(resource)%20zero_trust.organizations%20%3E%20(model)%20login_design%20%3E%20(schema)%20%3E%20(property)%20background_color">Link to this property</a>

footer\_text: Optional\[str]

The text at the bottom of your login page.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20login_design%20%3E%20(schema)%20%2B%20(resource)%20zero_trust.organizations%20%3E%20(model)%20login_design%20%3E%20(schema)%20%3E%20(property)%20footer_text">Link to this property</a>

header\_text: Optional\[str]

The text at the top of your login page.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20login_design%20%3E%20(schema)%20%2B%20(resource)%20zero_trust.organizations%20%3E%20(model)%20login_design%20%3E%20(schema)%20%3E%20(property)%20header_text">Link to this property</a>

logo\_path: Optional\[str]

The URL of the logo on your login page.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20login_design%20%3E%20(schema)%20%2B%20(resource)%20zero_trust.organizations%20%3E%20(model)%20login_design%20%3E%20(schema)%20%3E%20(property)%20logo_path">Link to this property</a>

text\_color: Optional\[str]

The text color on your login page.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20login_design%20%3E%20(schema)%20%2B%20(resource)%20zero_trust.organizations%20%3E%20(model)%20login_design%20%3E%20(schema)%20%3E%20(property)%20text_color">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20login_design%20%3E%20(schema)>)

<details>

<summary>

mfa\_config: Optional\[<a href="https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/organizations/methods/update#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_config%20%3E%20(schema)">MfaConfig</a>]

Configures multi-factor authentication (MFA) settings for an organization.

</summary>

<details>

<summary>

allowed\_authenticators: Optional\[List\[Literal\["totp", "biometrics", "security\_key", 2 more]]]

Lists the MFA methods that users can authenticate with. The <code>piv_key</code> and <code>ssh_fido2_key</code> values are supported only for infrastructure applications.

</summary>

One of the following:

"totp"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_config%20%3E%20(schema)%20%3E%20(property)%20allowed_authenticators%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

"biometrics"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_config%20%3E%20(schema)%20%3E%20(property)%20allowed_authenticators%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

"security\_key"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_config%20%3E%20(schema)%20%3E%20(property)%20allowed_authenticators%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

"piv\_key"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_config%20%3E%20(schema)%20%3E%20(property)%20allowed_authenticators%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

"ssh\_fido2\_key"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_config%20%3E%20(schema)%20%3E%20(property)%20allowed_authenticators%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_config%20%3E%20(schema)%20%3E%20(property)%20allowed_authenticators">Link to this property</a>

amr\_matching\_session\_duration: Optional\[str]

Allows a user to skip MFA via Authentication Method Reference (AMR) matching when the AMR claim provided by the IdP the user used to authenticate contains “mfa”. Must be in minutes (m) or hours (h). Minimum: 0m. Maximum: 720h (30 days).

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_config%20%3E%20(schema)%20%3E%20(property)%20amr_matching_session_duration">Link to this property</a>

required\_aaguids: Optional\[str]

Specifies a Cloudflare List of required FIDO2 authenticator device AAGUIDs.

formatuuid

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_config%20%3E%20(schema)%20%3E%20(property)%20required_aaguids">Link to this property</a>

session\_duration: Optional\[str]

Defines the duration of an MFA session. Must be in minutes (m) or hours (h). Minimum: 0m. Maximum: 720h (30 days). Examples:<code>5m</code> or <code>24h</code>.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_config%20%3E%20(schema)%20%3E%20(property)%20session_duration">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_config%20%3E%20(schema)>)

<details>

<summary>

mfa\_piv\_key\_requirements: Optional\[<a href="https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/organizations/methods/update#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)">MfaPivKeyRequirements</a>]

Configures PIV key requirements for MFA using hardware security keys.

</summary>

<details>

<summary>

pin\_policy: Optional\[Literal\["never", "once", "always"]]

Defines when a PIN is required to use the SSH key. Valid values: <code>never</code> (no PIN required), <code>once</code> (PIN required once per session), <code>always</code> (PIN required for each use).

</summary>

One of the following:

"never"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20pin_policy%20%3E%20(member)%200">Link to this property</a>

"once"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20pin_policy%20%3E%20(member)%201">Link to this property</a>

"always"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20pin_policy%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20pin_policy">Link to this property</a>

require\_fips\_device: Optional\[bool]

Requires the PIV key to be stored on a FIPS 140-2 Level 1 or higher validated device.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20require_fips_device">Link to this property</a>

<details>

<summary>

ssh\_key\_size: Optional\[Iterable\[Literal\[256, 384, 521, 3 more]]]

Specifies the allowed SSH key sizes in bits. Valid sizes depend on key type. Ed25519 has a fixed key size and does not accept this parameter.

</summary>

One of the following:

256

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20ssh_key_size%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

384

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20ssh_key_size%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

521

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20ssh_key_size%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

2048

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20ssh_key_size%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

3072

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20ssh_key_size%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

4096

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20ssh_key_size%20%3E%20(items)%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20ssh_key_size">Link to this property</a>

<details>

<summary>

ssh\_key\_type: Optional\[List\[Literal\["ecdsa", "ed25519", "rsa"]]]

Specifies the allowed SSH key types. Valid values are <code>ecdsa</code>, <code>ed25519</code>, and <code>rsa</code>.

</summary>

One of the following:

"ecdsa"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20ssh_key_type%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

"ed25519"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20ssh_key_type%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

"rsa"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20ssh_key_type%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20ssh_key_type">Link to this property</a>

<details>

<summary>

touch\_policy: Optional\[Literal\["never", "always", "cached"]]

Defines when physical touch is required to use the SSH key. Valid values: <code>never</code> (no touch required), <code>always</code> (touch required for each use), <code>cached</code> (touch cached for 15 seconds).

</summary>

One of the following:

"never"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20touch_policy%20%3E%20(member)%200">Link to this property</a>

"always"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20touch_policy%20%3E%20(member)%201">Link to this property</a>

"cached"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20touch_policy%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)%20%3E%20(property)%20touch_policy">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_piv_key_requirements%20%3E%20(schema)>)

mfa\_required\_for\_all\_apps: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/organizations/methods/update#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_required_for_all_apps%20%3E%20(schema)>)]

Determines whether global MFA settings apply to applications by default. The organization must have MFA enabled with at least one authentication method and a session duration configured. Note: ‘allowed\_authenticators’ cannot contain only the infrastructure SSH authenticators (‘piv\_key’ and ‘ssh\_fido2\_key’) if the organization has any non-infrastructure applications.

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20mfa_required_for_all_apps%20%3E%20(schema)>)

name: Optional\[str]

The name of your Zero Trust organization. When omitted on creation, defaults to the provided auth\_domain; when both are omitted, defaults to the auto-generated subdomain slug (e.g. frosty-moon-7a3b).

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)>)

<details>

<summary>

service\_token\_inactivity: Optional\[<a href="https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/organizations/methods/update#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20service_token_inactivity%20%3E%20(schema)">ServiceTokenInactivity</a>]

Configures automatic enforcement for inactive service tokens. A service token is inactive if no policy references it, and it has not successfully authenticated with an Access application during the selected inactivity period. This setting applies to every service token in your Zero Trust account.

</summary>

<details>

<summary>

action: Literal\["disable", "delete"]

The action applied to an inactive service token.

</summary>

One of the following:

"disable"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20service_token_inactivity%20%3E%20(schema)%20%3E%20(property)%20action%20%3E%20(member)%200">Link to this property</a>

"delete"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20service_token_inactivity%20%3E%20(schema)%20%3E%20(property)%20action%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20service_token_inactivity%20%3E%20(schema)%20%3E%20(property)%20action">Link to this property</a>

enabled: bool

Whether automatic enforcement for inactive service tokens is enabled.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20service_token_inactivity%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

inactivity\_threshold\_days: int

The number of days a service token must be inactive before the configured action is applied.

maximum365

minimum30

<a href="#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20service_token_inactivity%20%3E%20(schema)%20%3E%20(property)%20inactivity_threshold_days">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20service_token_inactivity%20%3E%20(schema)>)

session\_duration: Optional\[str]

The amount of time that tokens issued for applications will be valid. Must be in the format `300ms` or `2h45m`. Valid time units are: ns, us (or µs), ms, s, m, h.

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20session_duration%20%3E%20(schema)>)

strict\_service\_token\_auth: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/organizations/methods/update#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20strict_service_token_auth%20%3E%20(schema)>)]

Enables new behaviors for requests made with Access service tokens. Unauthorized requests emit audit logs, and return a 401 or 403 status code in the response instead of redirecting to the login page. Successful requests no longer receive a CF\_Authorization cookie in the response. Zero Trust organizations created on or after October 5, 2026 will have this setting enabled by default, and cannot disable it.

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20strict_service_token_auth%20%3E%20(schema)>)

ui\_read\_only\_toggle\_reason: Optional\[str]

A description of the reason why the UI read only field is being toggled.

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20ui_read_only_toggle_reason%20%3E%20(schema)>)

user\_seat\_expiration\_inactive\_time: Optional\[str]

The amount of time a user seat is inactive before it expires. When the user seat exceeds the set time of inactivity, the user is removed as an active seat and no longer counts against your Teams seat count. Minimum value for this setting is 1 month (730h). Must be in the format `300ms` or `2h45m`. Valid time units are: `ns`, `us` (or `µs`), `ms`, `s`, `m`, `h`.

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20user_seat_expiration_inactive_time%20%3E%20(schema)>)

warp\_auth\_non\_browser\_401: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/organizations/methods/update#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20warp_auth_non_browser_401%20%3E%20(schema)>)]

When enabled, unsuccessful WARP authentication requests with a non-HTML Accept header return a 401 response instead of redirecting to the login page.

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20warp_auth_non_browser_401%20%3E%20(schema)>)

warp\_auth\_session\_duration: Optional\[str]

The amount of time that tokens issued for applications will be valid. Must be in the format `30m` or `2h45m`. Valid time units are: m, h.

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20warp_auth_session_duration%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class Organization: …

</summary>

allow\_authenticate\_via\_warp: Optional\[bool]

When set to true, users can authenticate via WARP for any application in your organization. Application settings will take precedence over this value.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20allow_authenticate_via_warp">Link to this property</a>

auth\_domain: Optional\[str]

The unique subdomain assigned to your Zero Trust organization. If omitted on creation, a unique subdomain is auto-generated in the format <code>adjective-noun-hex4</code> (e.g. <code>frosty-moon-7a3b.cloudflareaccess.com</code>).

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20auth_domain">Link to this property</a>

auto\_redirect\_to\_identity: Optional\[bool]

When set to <code>true</code>, users skip the identity provider selection step during login.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20auto_redirect_to_identity">Link to this property</a>

<details>

<summary>

custom\_pages: Optional\[CustomPages]

</summary>

forbidden: Optional\[str]

The uid of the custom page to use when a user is denied access after failing a non-identity rule.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20custom_pages%20%3E%20(property)%20forbidden">Link to this property</a>

identity\_denied: Optional\[str]

The uid of the custom page to use when a user is denied access.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20custom_pages%20%3E%20(property)%20identity_denied">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20custom_pages">Link to this property</a>

deny\_unmatched\_requests: Optional\[bool]

Determines whether to deny all requests to Cloudflare-protected resources that lack an associated Access application. If enabled, you must explicitly configure an Access application and policy to allow traffic to your Cloudflare-protected resources. For domains you want to be public across all subdomains, add the domain to the <code>deny_unmatched_requests_exempted_zone_names</code> array.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20deny_unmatched_requests">Link to this property</a>

deny\_unmatched\_requests\_exempted\_zone\_names: Optional\[List\[str]]

Contains zone names to exempt from the <code>deny_unmatched_requests</code> feature. Requests to a subdomain in an exempted zone will block unauthenticated traffic by default if there is a configured Access application and policy that matches the request.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20deny_unmatched_requests_exempted_zone_names">Link to this property</a>

is\_ui\_read\_only: Optional\[bool]

Lock all settings as Read-Only in the Dashboard, regardless of user permission. Updates may only be made via the API or Terraform for this account when enabled.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20is_ui_read_only">Link to this property</a>

<details>

<summary>

login\_design: Optional\[LoginDesign]

</summary>

background\_color: Optional\[str]

The background color on your login page.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20login_design%20%2B%20(resource)%20zero_trust.organizations%20%3E%20(model)%20login_design%20%3E%20(schema)%20%3E%20(property)%20background_color">Link to this property</a>

footer\_text: Optional\[str]

The text at the bottom of your login page.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20login_design%20%2B%20(resource)%20zero_trust.organizations%20%3E%20(model)%20login_design%20%3E%20(schema)%20%3E%20(property)%20footer_text">Link to this property</a>

header\_text: Optional\[str]

The text at the top of your login page.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20login_design%20%2B%20(resource)%20zero_trust.organizations%20%3E%20(model)%20login_design%20%3E%20(schema)%20%3E%20(property)%20header_text">Link to this property</a>

logo\_path: Optional\[str]

The URL of the logo on your login page.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20login_design%20%2B%20(resource)%20zero_trust.organizations%20%3E%20(model)%20login_design%20%3E%20(schema)%20%3E%20(property)%20logo_path">Link to this property</a>

text\_color: Optional\[str]

The text color on your login page.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20login_design%20%2B%20(resource)%20zero_trust.organizations%20%3E%20(model)%20login_design%20%3E%20(schema)%20%3E%20(property)%20text_color">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20login_design">Link to this property</a>

<details>

<summary>

mfa\_config: Optional\[MfaConfig]

Configures multi-factor authentication (MFA) settings for an organization.

</summary>

<details>

<summary>

allowed\_authenticators: Optional\[List\[Literal\["totp", "biometrics", "security\_key", 2 more]]]

Lists the MFA methods that users can authenticate with. The <code>piv_key</code> and <code>ssh_fido2_key</code> values are supported only for infrastructure applications.

</summary>

One of the following:

"totp"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_config%20%3E%20(property)%20allowed_authenticators%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

"biometrics"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_config%20%3E%20(property)%20allowed_authenticators%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

"security\_key"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_config%20%3E%20(property)%20allowed_authenticators%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

"piv\_key"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_config%20%3E%20(property)%20allowed_authenticators%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

"ssh\_fido2\_key"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_config%20%3E%20(property)%20allowed_authenticators%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_config%20%3E%20(property)%20allowed_authenticators">Link to this property</a>

amr\_matching\_session\_duration: Optional\[str]

Allows a user to skip MFA via Authentication Method Reference (AMR) matching when the AMR claim provided by the IdP the user used to authenticate contains “mfa”. Must be in minutes (m) or hours (h). Minimum: 0m. Maximum: 720h (30 days).

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_config%20%3E%20(property)%20amr_matching_session_duration">Link to this property</a>

required\_aaguids: Optional\[str]

Specifies a Cloudflare List of required FIDO2 authenticator device AAGUIDs.

formatuuid

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_config%20%3E%20(property)%20required_aaguids">Link to this property</a>

session\_duration: Optional\[str]

Defines the duration of an MFA session. Must be in minutes (m) or hours (h). Minimum: 0m. Maximum: 720h (30 days). Examples:<code>5m</code> or <code>24h</code>.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_config%20%3E%20(property)%20session_duration">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_config">Link to this property</a>

<details>

<summary>

mfa\_piv\_key\_requirements: Optional\[MfaPivKeyRequirements]

Configures PIV key requirements for MFA using hardware security keys.

</summary>

<details>

<summary>

pin\_policy: Optional\[Literal\["never", "once", "always"]]

Defines when a PIN is required to use the SSH key. Valid values: <code>never</code> (no PIN required), <code>once</code> (PIN required once per session), <code>always</code> (PIN required for each use).

</summary>

One of the following:

"never"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20pin_policy%20%3E%20(member)%200">Link to this property</a>

"once"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20pin_policy%20%3E%20(member)%201">Link to this property</a>

"always"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20pin_policy%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20pin_policy">Link to this property</a>

require\_fips\_device: Optional\[bool]

Requires the PIV key to be stored on a FIPS 140-2 Level 1 or higher validated device.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20require_fips_device">Link to this property</a>

<details>

<summary>

ssh\_key\_size: Optional\[List\[Literal\[256, 384, 521, 3 more]]]

Specifies the allowed SSH key sizes in bits. Valid sizes depend on key type. Ed25519 has a fixed key size and does not accept this parameter.

</summary>

One of the following:

256

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20ssh_key_size%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

384

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20ssh_key_size%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

521

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20ssh_key_size%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

2048

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20ssh_key_size%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

3072

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20ssh_key_size%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

4096

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20ssh_key_size%20%3E%20(items)%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20ssh_key_size">Link to this property</a>

<details>

<summary>

ssh\_key\_type: Optional\[List\[Literal\["ecdsa", "ed25519", "rsa"]]]

Specifies the allowed SSH key types. Valid values are <code>ecdsa</code>, <code>ed25519</code>, and <code>rsa</code>.

</summary>

One of the following:

"ecdsa"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20ssh_key_type%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

"ed25519"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20ssh_key_type%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

"rsa"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20ssh_key_type%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20ssh_key_type">Link to this property</a>

<details>

<summary>

touch\_policy: Optional\[Literal\["never", "always", "cached"]]

Defines when physical touch is required to use the SSH key. Valid values: <code>never</code> (no touch required), <code>always</code> (touch required for each use), <code>cached</code> (touch cached for 15 seconds).

</summary>

One of the following:

"never"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20touch_policy%20%3E%20(member)%200">Link to this property</a>

"always"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20touch_policy%20%3E%20(member)%201">Link to this property</a>

"cached"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20touch_policy%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements%20%3E%20(property)%20touch_policy">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_piv_key_requirements">Link to this property</a>

mfa\_required\_for\_all\_apps: Optional\[bool]

Determines whether global MFA settings apply to applications by default. The organization must have MFA enabled with at least one authentication method and a session duration configured. Note: ‘allowed\_authenticators’ cannot contain only the infrastructure SSH authenticators (‘piv\_key’ and ‘ssh\_fido2\_key’) if the organization has any non-infrastructure applications.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20mfa_required_for_all_apps">Link to this property</a>

name: Optional\[str]

The name of your Zero Trust organization. When omitted on creation, defaults to the provided auth\_domain; when both are omitted, defaults to the auto-generated subdomain slug (e.g. frosty-moon-7a3b).

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

service\_token\_inactivity: Optional\[ServiceTokenInactivity]

Configures automatic enforcement for inactive service tokens. A service token is inactive if no policy references it, and it has not successfully authenticated with an Access application during the selected inactivity period. This setting applies to every service token in your Zero Trust account.

</summary>

<details>

<summary>

action: Literal\["disable", "delete"]

The action applied to an inactive service token.

</summary>

One of the following:

"disable"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20service_token_inactivity%20%3E%20(property)%20action%20%3E%20(member)%200">Link to this property</a>

"delete"

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20service_token_inactivity%20%3E%20(property)%20action%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20service_token_inactivity%20%3E%20(property)%20action">Link to this property</a>

enabled: bool

Whether automatic enforcement for inactive service tokens is enabled.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20service_token_inactivity%20%3E%20(property)%20enabled">Link to this property</a>

inactivity\_threshold\_days: int

The number of days a service token must be inactive before the configured action is applied.

maximum365

minimum30

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20service_token_inactivity%20%3E%20(property)%20inactivity_threshold_days">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20service_token_inactivity">Link to this property</a>

session\_duration: Optional\[str]

The amount of time that tokens issued for applications will be valid. Must be in the format <code>300ms</code> or <code>2h45m</code>. Valid time units are: ns, us (or µs), ms, s, m, h.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20session_duration">Link to this property</a>

strict\_service\_token\_auth: Optional\[bool]

Enables new behaviors for requests made with Access service tokens. Unauthorized requests emit audit logs, and return a 401 or 403 status code in the response instead of redirecting to the login page. Successful requests no longer receive a CF\_Authorization cookie in the response. Zero Trust organizations created on or after October 5, 2026 will have this setting enabled by default, and cannot disable it.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20strict_service_token_auth">Link to this property</a>

ui\_read\_only\_toggle\_reason: Optional\[str]

A description of the reason why the UI read only field is being toggled.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20ui_read_only_toggle_reason">Link to this property</a>

user\_seat\_expiration\_inactive\_time: Optional\[str]

The amount of time a user seat is inactive before it expires. When the user seat exceeds the set time of inactivity, the user is removed as an active seat and no longer counts against your Teams seat count. Minimum value for this setting is 1 month (730h). Must be in the format <code>300ms</code> or <code>2h45m</code>. Valid time units are: <code>ns</code>, <code>us</code> (or <code>µs</code>), <code>ms</code>, <code>s</code>, <code>m</code>, <code>h</code>.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20user_seat_expiration_inactive_time">Link to this property</a>

warp\_auth\_non\_browser\_401: Optional\[bool]

When enabled, unsuccessful WARP authentication requests with a non-HTML Accept header return a 401 response instead of redirecting to the login page.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20warp_auth_non_browser_401">Link to this property</a>

warp\_auth\_session\_duration: Optional\[str]

The amount of time that tokens issued for applications will be valid. Must be in the format <code>30m</code> or <code>2h45m</code>. Valid time units are: m, h.

<a href="#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20warp_auth_session_duration">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.organizations%20%3E%20(model)%20organization%20%3E%20(schema)>)

### Update your Zero Trust organization

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
organization = client.zero_trust.organizations.update(
    account_id="account_id",
)
print(organization.auto_redirect_to_identity)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "allow_authenticate_via_warp": true,
    "auth_domain": "test.cloudflareaccess.com",
    "auto_redirect_to_identity": true,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "custom_pages": {
      "forbidden": "699d98642c564d2e855e9661899b7252",
      "identity_denied": "699d98642c564d2e855e9661899b7252"
    },
    "deny_unmatched_requests": true,
    "deny_unmatched_requests_exempted_zone_names": [
      "example.com"
    ],
    "is_ui_read_only": true,
    "login_design": {
      "background_color": "#c5ed1b",
      "footer_text": "This is an example description.",
      "header_text": "This is an example description.",
      "logo_path": "https://example.com/logo.png",
      "text_color": "#c5ed1b"
    },
    "mfa_config": {
      "allowed_authenticators": [
        "totp",
        "biometrics",
        "security_key"
      ],
      "amr_matching_session_duration": "12h",
      "required_aaguids": "2fc0579f-8113-47ea-b116-bb5a8db9202a",
      "session_duration": "24h"
    },
    "mfa_piv_key_requirements": {
      "pin_policy": "always",
      "require_fips_device": true,
      "ssh_key_size": [
        256,
        2048
      ],
      "ssh_key_type": [
        "ecdsa",
        "rsa"
      ],
      "touch_policy": "always"
    },
    "mfa_required_for_all_apps": false,
    "name": "Widget Corps Internal Applications",
    "service_token_inactivity": {
      "action": "disable",
      "enabled": true,
      "inactivity_threshold_days": 30
    },
    "session_duration": "24h",
    "strict_service_token_auth": true,
    "ui_read_only_toggle_reason": "Temporarily turn off the UI read only lock to make a change via the UI",
    "updated_at": "2014-01-01T05:20:00.12345Z",
    "user_seat_expiration_inactive_time": "730h",
    "warp_auth_non_browser_401": false,
    "warp_auth_session_duration": "24h"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "allow_authenticate_via_warp": true,
    "auth_domain": "test.cloudflareaccess.com",
    "auto_redirect_to_identity": true,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "custom_pages": {
      "forbidden": "699d98642c564d2e855e9661899b7252",
      "identity_denied": "699d98642c564d2e855e9661899b7252"
    },
    "deny_unmatched_requests": true,
    "deny_unmatched_requests_exempted_zone_names": [
      "example.com"
    ],
    "is_ui_read_only": true,
    "login_design": {
      "background_color": "#c5ed1b",
      "footer_text": "This is an example description.",
      "header_text": "This is an example description.",
      "logo_path": "https://example.com/logo.png",
      "text_color": "#c5ed1b"
    },
    "mfa_config": {
      "allowed_authenticators": [
        "totp",
        "biometrics",
        "security_key"
      ],
      "amr_matching_session_duration": "12h",
      "required_aaguids": "2fc0579f-8113-47ea-b116-bb5a8db9202a",
      "session_duration": "24h"
    },
    "mfa_piv_key_requirements": {
      "pin_policy": "always",
      "require_fips_device": true,
      "ssh_key_size": [
        256,
        2048
      ],
      "ssh_key_type": [
        "ecdsa",
        "rsa"
      ],
      "touch_policy": "always"
    },
    "mfa_required_for_all_apps": false,
    "name": "Widget Corps Internal Applications",
    "service_token_inactivity": {
      "action": "disable",
      "enabled": true,
      "inactivity_threshold_days": 30
    },
    "session_duration": "24h",
    "strict_service_token_auth": true,
    "ui_read_only_toggle_reason": "Temporarily turn off the UI read only lock to make a change via the UI",
    "updated_at": "2014-01-01T05:20:00.12345Z",
    "user_seat_expiration_inactive_time": "730h",
    "warp_auth_non_browser_401": false,
    "warp_auth_session_duration": "24h"
  }
}
```